gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Entry.VScale

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A vertical slider widget for selecting a value from a range

Synopsis

- data VScale
- class ScaleClass o => VScaleClass o
- castToVScale :: GObjectClass obj => obj -> VScale
- gTypeVScale :: GType
- toVScale :: VScaleClass o => o -> VScale
- vScaleNew :: Adjustment -> IO VScale
- vScaleNewWithRange :: Double -> Double -> Double -> IO VScale

# Detail

The `VScale` widget is used to allow the user to select a value using a vertical slider. To create one, use `vScaleNewWithRange`.

The position to show the current value, and the number of decimal places shown can be set using the parent `Scale` class's functions.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Range
     | +----Scale
     | +----VScale

# Types

data VScale

Instances

Eq VScale |
Ord VScale |
GObjectClass VScale |
VScaleClass VScale |
ScaleClass VScale |
RangeClass VScale |
WidgetClass VScale |
ObjectClass VScale |

class ScaleClass o => VScaleClass o

Instances

VScaleClass VScale |

castToVScale :: GObjectClass obj => obj -> VScale

gTypeVScale :: GType

toVScale :: VScaleClass o => o -> VScale

# Constructors

vScaleNew

Arguments

:: Adjustment | `adjustment` - the `Adjustment` which sets the range of the scale.
-> IO VScale |

Creates a new `VScale`.

vScaleNewWithRange

Arguments

:: Double | `min` - minimum value
-> Double | `max` - maximum value
-> Double | `step` - step increment (tick size) used with keyboard shortcuts
-> IO VScale |

Creates a new vertical scale widget that lets the user input a number between `min` and `max` (including `min` and `max`) with the increment `step`. `step` must be nonzero; it's the distance the slider moves when using the arrow keys to adjust the scale value.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `scaleSetDigits` to correct it.